<html>
<head>
<title>TestNG:  UserTests</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>UserTests</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>8/0/0</td>
</tr><tr>
<td>Started on:</td><td>Tue Sep 15 22:16:47 CEST 2020</td>
</tr>
<tr><td>Total time:</td><td>10 seconds (10065 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='testCases.user.GetUserPositive.getAllUsers()'><b>getAllUsers</b><br>Test class: testCases.user.GetUserPositive</td>
<td></td>
<td>0</td>
<td>testCases.user.GetUserPositive@224edc67</td></tr>
<tr>
<td title='testCases.user.GetUserPositive.getUser()'><b>getUser</b><br>Test class: testCases.user.GetUserPositive</td>
<td></td>
<td>1</td>
<td>testCases.user.GetUserPositive@224edc67</td></tr>
<tr>
<td title='testCases.user.GetUserNegative.getUserWithEmptyId()'><b>getUserWithEmptyId</b><br>Test class: testCases.user.GetUserNegative</td>
<td></td>
<td>6</td>
<td>testCases.user.GetUserNegative@4c70fda8</td></tr>
<tr>
<td title='testCases.user.GetUserNegative.getUserWithWrongId()'><b>getUserWithWrongId</b><br>Test class: testCases.user.GetUserNegative</td>
<td></td>
<td>0</td>
<td>testCases.user.GetUserNegative@4c70fda8</td></tr>
<tr>
<td title='testCases.user.PostUserPositive.postUserPositive()'><b>postUserPositive</b><br>Test class: testCases.user.PostUserPositive</td>
<td></td>
<td>0</td>
<td>testCases.user.PostUserPositive@46d56d67</td></tr>
<tr>
<td title='testCases.user.PostUserNegative.postUserWithEmptyEmail()'><b>postUserWithEmptyEmail</b><br>Test class: testCases.user.PostUserNegative</td>
<td></td>
<td>0</td>
<td>testCases.user.PostUserNegative@14acaea5</td></tr>
<tr>
<td title='testCases.user.PostUserNegative.postUserWithEmptyName()'><b>postUserWithEmptyName</b><br>Test class: testCases.user.PostUserNegative</td>
<td></td>
<td>0</td>
<td>testCases.user.PostUserNegative@14acaea5</td></tr>
<tr>
<td title='testCases.user.PostUserNegative.postUserWithEmptyNameAndEmail()'><b>postUserWithEmptyNameAndEmail</b><br>Test class: testCases.user.PostUserNegative</td>
<td></td>
<td>0</td>
<td>testCases.user.PostUserNegative@14acaea5</td></tr>
</table><p>
</body>
</html>